# Transmission modelling considerations
Although we have discussed the general simulation methodology and implementation for transmission, there are some quirks and considerations that should be discussed surrounding parameter choices and coding design.

## Context-dependent spread (how betas actually scale and how to change them)
Due to the rejection-based sampling method we use to efficiently choose the transmission type and group of an infection event, there are unfortunately nuances in the way that the spreading parameters interact that can lead to unintended behaviour. If we consider the total spread within a (small) dwelling for example, it can be calculated as: $beta_home = beta_0 * (group\_weight\_home / (group\_weight\_home + group\_weight\_work + group\_weight\_comm)) + beta_c * (close\_group\_weight\_home / (close\_group\_weight\_home + close\_group\_weight\_work + close\_group\_weight\_comm)). For more information on what each of these parameters mean see the relevant section of the [input parameters dictionary](input_parameters_dict.md). To change the spread just within dwellings, we may be tempted to increase either $beta_0$ or $beta_c$. However, we would then see an increase in the spread within all contexts (due to the beta parameters being total spreading parameters). The next thought might be to increase either $group\_weight\_home$ or $close\_group\_weight\_home$, as this would increase the multiplier factor that is applied to spread in dwellings. However, the spreading rate in community, work and school groups has a similar equation. This means that increasing $group\_weight\_home$ or $close\_group\_weight\_home$ would also decrease the multiplier that is applied to spread in these other groups, and so would also lead to a decrease in spread the other contexts. The ratio of the group-weights must therefore be kept the same.

To summarise: if you desire to change the spread in all contexts, change the beta parameters. If you desire to change the spread in a particular context, change the group-weight parameters of not only that context, but for the other contexts too in order to keep the ratios the same.

It is also worth noting that the $group\_weight\_work, close\_group\_weight\_work$ parameters are used as a multiplier for spread in both work and school groups.

## Community event spreading (multiple infections per event)
There is large evidence that community events such as weddings, funerals, sports games and other social activities have lead to 'super-spreading' behaviour, wherein a small number of infected individuals cause a much larger than expected number of cases to occur (due to the density of individuals, nature of events, etc.). In order to simulate this behaviour, if the infected individual draws a community event to transmit infection through, we also allow the number of possible infections to be more than one. The distribution for this number of possible infections (for EV events) follows an approximate log-normal distribution. The underlying exponential distribution has a mean of log(max(log10(N),1)), where N is the group size of the community event (the parameters of the underlying exponential distribution can be provided in the config yaml). For EX events, the distribution follows a N*beta distribution, where the parameters for the beta distribution are provided in the config file.

## Density-dependent spread
Density-dependent spread, although not thoroughly explained in this documentation, is able to be used if a more realistic scaling of infection risk with group size is desired. Due to a lack of rigorous testing, it is highly advised that this is not used. However, if you do desire to use this (working) implementation, we recommend restricting it to only close-contact dwellings and to set the close-contact, frequency-dependent spreading parameters to 0. Due to how we estimate the group-size scaling of the density-dependence (by finding the maximum group size for each individual for the assigned density-dependent spreading groups), weird spreading behaviour is likely to occur if this type of transmission isn't restricted to just close-contact dwellings. An example of density-dependent spread is included in the default configs.
